<div class="container d-flex flex-column justify-content-around align-item-center p-4">

    <h1>1 - Le Data Binding : </h1>

    <br>
    <h2>1 - a - L'interpolation : </h2>

    <p>Je m'appelle {{myName}} et j'ai {{myAge}}, je suis plutôt beau gosse : <b>{{isBeauGoss ? "C'est vrai !!":"C'est
      totalement faux..."}}</b></p>

    <h2>1 - b - Le Property Binding : </h2>

    <div [align]="alignement">Personne : {{person}} | Age : {{age}} | Adresse : {{address.street}}</div>


    <h2>1 - c - L'event Binding : </h2>


    <div>
        <div [class]="alert">{{mot}}</div>
        <button class="btn btn-primary w-25" (click)="changeMot()">validation</button>
    </div>


    <br>
    <label for="">Saisir ce que tu veux : </label>
    <input type="text" (change)="modifie($event)" class="form-control w-50" />

    <p>Resultat : {{modification}}</p>


    <br>

    <label for="">Saisir ce que tu veux encore : </label>
    <input type="text" (input)="modifieEncore($event)" class="form-control w-50" (focus)="focused()" />

    <p>Resultat 2: {{modifieEncore2}}</p>

    <br>

    <h2>1 - d - LE Two-way binding : </h2>

    <form action="#" class="d-flex flex-column">
        <h5>{{ username }}</h5>
        <label for="name">Name:</label>
        <input [(ngModel)]="username" id="username" name="username" placeholder="username" class="w-50">
    </form>

    <br>

</div>